version: '2'
services:
  web:
    build: .
    volumes:
      - .:/dist
    command: start
    ports:
      - "4200:4200"
      - "4201:4201"
    depends_on:
      - api
    environment:
      # for e2e tests to pick up on
      DOCKER: 'True'
  api:
    image: registry.gitlab.com/passit/passit-backend:latest
    command: sh -c "./wait-for db:5432 -- ./manage.py migrate --noinput && ./manage.py runserver 0.0.0.0:8000"
    environment:
      DATABASE_URL: postgres://postgres:postgres@db:5432/postgres
      IS_TEST_MODE: 'True'
      IS_PRIVATE_ORG_MODE: "False"
      IS_DEBUG: "True"
    ports:
      - "8000:8000"
    depends_on:
      - db
  db:
    image: postgres:10.1-alpine
